+2 for Jack Phoenix in mediawiki/extensions/ArticleFeedbackv5
Closed, ResolvedPublic

Description

AFTv5 was a WMF project, which the WMF dropped over a year ago (as per James' comment on T56197: Archiving of feedback broken on enwiki etc.), but at least Brickimedia is still using it and there are no plans to drop it either, so having the ability to approve patches -- whether my own or someone else's -- would be very handy, as it seems that I'm the closest thing to a maintainer that AFTv5 currently has.
I've submitted a few patches to fix some issues which were spotted on Brickimedia production, and currently I have a few open AFTv5-related patches waiting for +2, too.

ashley created this task.Sep 3 2016, 7:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2016, 7:13 PM

It wouldn't be a good idea to start approving your own patches. Maybe we should grant +2 to two people there, or find an existing core developer able to help you.

If a second person can be found, all the better; but I don't think that should block this request. The wikis using this extension are probably used to this kind of extensions.

Isarra added a subscriber: Isarra.Sep 6 2016, 5:45 PM

Yup. It would be great to have more than a single person maintaining these, but if there isn't anyone else, this is the only option. Once a third-party person gets a thing in gerrit, the general rule is that they still have to review their own in order to get anything done with it, and while this one is a little different in that it started out as a wmf thing, at this point it's in about the same position.

Legoktm closed this task as Resolved.Sep 10 2016, 6:33 AM
Legoktm claimed this task.
Legoktm added a subscriber: Legoktm.

Done.